

@mixin legacytad-app-theme($theme) {
  $primary: map-get($theme, primary);
  $warn: map-get($theme, warn);
  $accent: map-get($theme, accent);

  $banner_header_color: #8f431a;

  app-legacytad {
    width: 100%;
    padding: 5px;
    overflow-x: hidden;
  }

  .legacytad {
    margin-top: 10px !important;
    display: flex;
    flex-direction: column;
    padding: 5px;
    background-color: mat-color($primary, 50);

    .legacytad-main-card {
      display: flex;
      flex-direction: column;
      padding: 0px;
      background-color: mat-color($primary, 50);
      margin-top: 25px;

      .mat-card-header {
        width: 100%;
      }

      .mat-card-content {
        .example-small-box {
          display: flex;
          align-items: center;
          justify-content: center;
          background: white;

          .info {
            margin-left: 20px;
          }
          .form-section {
            display: flex;
            // border: 1px solid mat-color($primary);
            padding: 10px;
            line-height: 40px;

            mat-label {
              width: 130px;
              margin-left: 20px;
            }

            .mat-form-field {
              width: 300px;
            }
            .mat-form-field-wrapper {
              padding-bottom: .2em;
            }
            

            .blue-label {
              color: mat-color($primary);
            }
            .agency-label {
              width: 500px;
              margin-left: 0px;
            }

            .btn-section {
              width: 100%;
              padding: 2px;
              margin: 5px 0px;
            }
          }

          .example-container {
            width: 98%;
            margin: 5px auto;

            .search-results {
              color: $banner_header_color;
              font-weight: bold;
            }
          }
        }
      }
    }
  }
}

